## postgis-2.5 2.5.3+dfsg

=== debian/changelog ===
postgis-2.5 (2.5.3+dfsg-3.pgdg16.04+1) xenial-pgdg; urgency=medium

  * Rebuild for xenial-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 29 Jan 2020 13:13:35 +0100

postgis-2.5 (2.5.3+dfsg-3) unstable; urgency=medium

  * Rename source package to postgis-2.5 so we can build packages even with
    postgis 3 around. Skip building postgis, postgis-doc, and postgis-gui.
  * Disable failing raster test.
  * Disable tests that fail on PG12.
  * Add dctrl-tools to build-depends.

 -- Christoph Berg <myon@debian.org>  Wed, 29 Jan 2020 13:13:35 +0100

postgis (2.5.3+dfsg-2) unstable; urgency=medium

  * Instead of conflicting with older postgresql-*-postgis-*-scripts packages,
    use the alternatives system for managing the extension/*.control files.
    This finally allows us to depend on the -scripts package from the main
    extension package.
  * debian/tests: Run regression tests.
  * regress: Backport fix for oriented-envelope test to be less sensitive.
  * topology: Backport regression test update for geos 3.8 compatibility.
  * Add debian/.gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Tue, 15 Oct 2019 13:26:11 +0200

postgis (2.5.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Aug 2019 09:18:54 +0200

postgis (2.5.2+dfsg-2) unstable; urgency=medium

  * Merge -arch & -indep targets.
    (closes: #932833)
  * Update PIE hardening conditional, trusty is EOL.
  * Explicitly remove liblwgeom.la before dh_install.
  * Bump Standards-Version to 4.4.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Jul 2019 21:51:23 +0200

postgis (2.5.2+dfsg-1) unstable; urgency=medium

  * Update gbp.conf to use --source-only-changes by default.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 13:12:25 +0200

postgis (2.5.2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Mar 2019 06:59:37 +0100

postgis (2.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add Build-Depends-Package field to symbols file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 22 Nov 2018 06:52:52 +0100

postgis (2.5.0+dfsg-2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 Oct 2018 09:04:35 +0200

postgis (2.5.0+dfsg-2~exp1) experimental; urgency=medium

  * Strip trailing comma from Uploaders.
  * Reorder Breaks/Provides/Replaces fields.
  * Update packaging for postgresql-11.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Oct 2018 17:05:37 +0200

postgis (2.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Sep 2018 07:30:53 +0200

postgis (2.5.0~rc2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.2.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 17 Sep 2018 07:27:59 +0200

postgis (2.5.0~rc1+dfsg-1~exp1) experimental; urgency=medium

  [ Christoph Berg ]
  * Provide postgresql-PGVERSION-postgis{,-scripts} so pgrouting can depend on
    us without an explicit postgis version.

  [ Bas Couwenberg ]
  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 20 Aug 2018 08:42:48 +0200

postgis (2.5.0~beta2+dfsg-1~exp1) experimental; urgency=medium

  [ Bas Couwenberg ]
  * New upstream beta release.
  * Don't quote filter string to fix match of first and last items.
  * Bump Standards-Version to 4.2.0, no changes.
  * Update copyright years for Paul Ramsey.
  * Drop rt_gdalwarp.patch, worked around by upstream.
  * Drop unused override for hardening-no-fortify-functions.
  * Separate test restrictions with a comma.

  [ Christoph Berg ]
  * Re-enable tests on arm64 armel armhf i386 ppc64el, fixed upstream.
  * Use make check RUNTESTFLAGS="-v" instead of cat'ing the failed results
    from /tmp. Suggested by Darafei Praliaskouski, thanks!
  * Provide postgresql-postgis and postgresql-postgis-scripts, so we can
    depend on them in autopkgtests in other packages.
  * Drop transitional postgresql-*-postgis-scripts package. The PG 9.6 variant
    was already transitional in stretch, and the PG 10 variant was never in a
    stable release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Aug 2018 13:15:01 +0200

postgis (2.5.0~beta1+dfsg-1~exp2) experimental; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.1.5, no changes.
  * Skip tests on arm64 & ppc64el too.
  * Drop parallel patches, fixed upstream.

  [ Christoph Berg ]
  * debian/pgversions: Bump to 9.4+, 9.3 is no longer supported.
  * Bump required GEOS version to 3.5.
  * Work around failure in building the postgis_tiger_geocoder extension.
  * debian/rules: Ignore test failures instead of disabling tests completely
    on specific architectures; ignore tests on i386.
  * Don't run tests in -indep builds.
  * debian/rules: Import architecture from /usr/share/dpkg/architecture.mk.
  * Re-enable tests on Ubuntu.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Mon, 16 Jul 2018 22:46:26 +0200

postgis (2.5.0~beta1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Re-enable SFCGAL support, FTBFS with CGAL 4.12 is fixed.
  * Disable PIE only on older Ubuntu releases.
  * Update copyright file, add copyright holders, update copyright years.
  * Refresh patches.
  * Disable parallel patches, may be fixed upstream.
  * Update Conflicts for postgis-2.4.
  * Update lintian override for address_standardizer.
  * Update symbols for 2.5.0~beta1.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Jul 2018 07:51:44 +0200

postgis (2.4.4+dfsg-4) unstable; urgency=medium


