## postgis-2.5 2.5.5+dfsg

=== debian/changelog ===
postgis-2.5 (2.5.5+dfsg-1.pgdg20.04+2) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 17 Aug 2020 14:52:20 +0200

postgis-2.5 (2.5.5+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Work around build failure with GCC 10.
  * Drop tests that changed with GDAL 3.1.

 -- Christoph Berg <myon@debian.org>  Mon, 17 Aug 2020 14:52:20 +0200

postgis-2.5 (2.5.4+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 02 Mar 2020 11:53:05 +0100
