=== debian/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Recommends: postgresql-12-postgis-2.5,
+Recommends: postgresql-13-postgis-2.5,
             postgis-doc
 Suggests: postgis-gui
 Description: Geographic objects support for PostgreSQL
@@ -63,7 +63,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Recommends: postgresql-12-postgis-2.5,
+Recommends: postgresql-13-postgis-2.5,
             postgis-doc
 Suggests: postgis
 Breaks: postgis (<< 2.2.2+dfsg-2~)
@@ -130,51 +130,6 @@
  geometry objects, constructors, destructors, and a set of spatial
  processing functions, are implemented here.  This package contains
  the development files.
-
-Package: postgresql-9.4-postgis-2.5
-Architecture: any
-Depends: postgresql-9.4,
-         postgresql-9.4-postgis-2.5-scripts,
-         ${shlibs:Depends},
-         ${misc:Depends}
-Suggests: postgis
-Breaks: postgis (<< 1.2.1)
-Provides: postgresql-9.4-postgis,
-          postgresql-postgis
-Description: Geographic objects support for PostgreSQL 9.4
- PostGIS adds support for geographic objects to the PostgreSQL
- object-relational database. In effect, PostGIS "spatially enables"
- the PostgreSQL server, allowing it to be used as a backend spatial
- database for geographic information systems (GIS), much like ESRI's
- SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
- "Simple Features Specification for SQL".
- .
- To create the PostGIS extensions in a PostgreSQL 9.4 database, the
- postgresql-9.4-postgis-2.5-scripts package must be installed as well.
-
-Package: postgresql-9.4-postgis-2.5-scripts
-Architecture: all
-Multi-Arch: foreign
-Depends: ${perl:Depends},
-         ${misc:Depends}
-Recommends: postgresql-9.4-postgis-2.5
-Breaks: postgresql-9.4-postgis-scripts (<< 2.2.2+dfsg-3~)
-Conflicts: postgresql-9.4-postgis-2.2-scripts,
-           postgresql-9.4-postgis-2.3-scripts,
-           postgresql-9.4-postgis-2.4-scripts
-Provides: postgresql-9.4-postgis-scripts,
-          postgresql-postgis-scripts
-Replaces: postgresql-9.4-postgis-scripts (<< 2.2.2+dfsg-3~)
-Description: Geographic objects support for PostgreSQL 9.4 -- SQL scripts
- PostGIS adds support for geographic objects to the PostgreSQL
- object-relational database. In effect, PostGIS "spatially enables"
- the PostgreSQL server, allowing it to be used as a backend spatial
- database for geographic information systems (GIS), much like ESRI's
- SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
- "Simple Features Specification for SQL".
- .
- This package contains the SQL scripts for installing PostGIS in a PostgreSQL
- 9.4 database, and for upgrading from earlier PostGIS versions.
 
 Package: postgresql-9.5-postgis-2.5
 Architecture: any
@@ -287,3 +242,48 @@
  To create the PostGIS extensions in a PostgreSQL 10 database, the
  postgresql-10-postgis-2.5-scripts package must be installed as well.
 
+Package: postgresql-10-postgis-2.5-scripts
+Architecture: all
+Multi-Arch: foreign
+Depends: ${perl:Depends},
+         ${misc:Depends}
+Recommends: postgresql-10-postgis-2.5
+Breaks: postgresql-10-postgis-scripts (<< 2.2.2+dfsg-3~)
+Conflicts: postgresql-10-postgis-2.2-scripts,
+           postgresql-10-postgis-2.3-scripts,
+           postgresql-10-postgis-2.4-scripts
+Provides: postgresql-10-postgis-scripts,
+          postgresql-postgis-scripts
+Replaces: postgresql-10-postgis-scripts (<< 2.2.2+dfsg-3~)
+Description: Geographic objects support for PostgreSQL 10 -- SQL scripts
+ PostGIS adds support for geographic objects to the PostgreSQL
+ object-relational database. In effect, PostGIS "spatially enables"
+ the PostgreSQL server, allowing it to be used as a backend spatial
+ database for geographic information systems (GIS), much like ESRI's
+ SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
+ "Simple Features Specification for SQL".
+ .
+ This package contains the SQL scripts for installing PostGIS in a PostgreSQL
+ 10 database, and for upgrading from earlier PostGIS versions.
+
+Package: postgresql-11-postgis-2.5
+Architecture: any
+Depends: postgresql-11,
+         postgresql-11-postgis-2.5-scripts,
+         ${shlibs:Depends},
+         ${misc:Depends}
+Suggests: postgis
+Breaks: postgis (<< 1.2.1)
+Provides: postgresql-11-postgis,
+          postgresql-postgis
+Description: Geographic objects support for PostgreSQL 11
+ PostGIS adds support for geographic objects to the PostgreSQL
+ object-relational database. In effect, PostGIS "spatially enables"
+ the PostgreSQL server, allowing it to be used as a backend spatial
+ database for geographic information systems (GIS), much like ESRI's
+ SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
+ "Simple Features Specification for SQL".
+ .
+ To create the PostGIS extensions in a PostgreSQL 11 database, the
+ postgresql-11-postgis-2.5-scripts package must be installed as well.
+
