=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,9 @@
 
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
+
+# work around build failure with GCC 10
+CFLAGS += -fcommon
 
 # Magic to automatically create a debian/control file for the (or all)
 # supported versions of Postgres.
